IcedTea-Web NetX

## net.sourceforge.jnlp.runtime
Class Boot13

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  net.sourceforge.jnlp.runtime.Boot13

    public class Boot13

extends java.net.URLClassLoader

Allows a Policy and SecurityManager to be set in JRE1.3 without running the code with only applet permissions; this class is for backward compatibility only and is totally unnecessary if running in jdk 1.4 or later (can call Boot directly).

Method Summary
`protected java.security.PermissionCollection` `getPermissions(java.security.CodeSource source)`
`java.lang.Class` `loadClass(java.lang.String name)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPermissions

    protected java.security.PermissionCollection getPermissions(java.security.CodeSource source)

  Overrides:
    `getPermissions` in class `java.net.URLClassLoader`

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

IcedTea-Web NetX

Submit a bug or feature